Domain

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.domains.java
Class Domain

    java.lang.Object
      org.openswing.swing.domains.java.Domain

All Implemented Interfaces:
  java.io.Serializable

public class Domain
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Class that represents a domain of values (enumeration of couples code,description).

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`Domain(java.lang.String domainId)` Costructor.

Method Summary
`boolean` | `addDomainPair(java.lang.Object code, java.lang.String description)` Add a new couple (code, description).
`java.lang.String` | `getDomainId()`
`DomainPair` | `getDomainPair(java.lang.Object code)`
`DomainPair[]` | `getDomainPairList()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Domain

    public Domain(java.lang.String domainId)

  Costructor.

Parameters:
  `domainId` - domain identifier

Method Detail

### getDomainId

    public final java.lang.String getDomainId()

  Returns:
    domain identifier

### getDomainPair

    public final DomainPair getDomainPair(java.lang.Object code)

  Parameters:
    `code` - code associated to a DomainPair object
  Returns:
    DomainPair object related to the specified code

### getDomainPairList

    public final DomainPair[] getDomainPairList()

  Returns:
    list of DomainPair objects that compose this domain

### addDomainPair

    public final boolean addDomainPair(java.lang.Object code,
                                       java.lang.String description)

  Add a new couple (code, description).

  Parameters:
    `code` - code to add
    `description` - description related to the code (this description will be translated)
  Returns:
    `false` if the code already exists in the domain, `true` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD